net.sourceforge.pmd.lang.ast.xpath

## Class Attribute

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.xpath.Attribute

    public class Attribute
    extends Object

Author:
  daniels

### Constructor Summary

Constructors
Constructor and Description
`Attribute(Node parent, String name, Method m)`
`Attribute(Node parent, String name, String value)`

### Method Summary

Methods
`String` `getName()`
`Node` `getParent()`
`String` `getStringValue()`
`Object` `getValue()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Attribute

    public Attribute(Node parent,
             String name,
             Method m)

#### Attribute

    public Attribute(Node parent,
             String name,
             String value)

### Method Detail

#### getValue

    public Object getValue()

#### getStringValue

    public String getStringValue()

#### getName

    public String getName()

#### getParent

    public Node getParent()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`